VantPay API Documentation
API Docs
API Docs
  1. Get Settlement History
  • Authentication
    • authenticate-merchant
      POST
  • Virtual Account
    • create-static-account
      POST
    • create-dynamic-account
      POST
    • get-static-virtual-accounts
      GET
    • get-wallet-balance
      GET
    • get-prefixes
      GET
    • get-dynamic-virtual-accounts
      GET
    • validate-virtual-account
      POST
  • Inward Transfers
    • Inward TransQuery (TSQ)
      • inward-traansquery
    • Inward Transactions
      • get-wallet transactions
  • Merchant Settlement
    • Merchant Payout
      • merchant-settlement
    • Get Settlement History
      • get-settlement-history
        GET
    • Confirm Payout Status
      • get-settlement-status
  • Checkout
    • initiate-checkout
      POST
    • create-account
      POST
    • complete-checkout
      POST
    • query-access-code
      GET
  1. Get Settlement History

get-settlement-history

GET
/api/v1/payouts
This endpoint is used to retrieve the lists of payout transactions. The endpoint returns a paginated lists of settlements

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://digitvirtual-dev.digitvant.com/api/v1/payouts?SourceAccount=&DestinationAccount=&ClientReference=&SessionId=&Status=&StartDate=&EndDate=&PageNumber=&PageSize=' \
--header 'accept: */*' \
--header 'Authorization: Bearer <token>'
Response Response Example
{}
Modified at 2026-02-19 13:52:36
Previous
merchant-settlement
Next
get-settlement-status
Built with